Package com.opensymphony.module.sitemesh.util

# Class OutputConverter

java.lang.Object
com.opensymphony.module.sitemesh.util.OutputConverter

public class OutputConverter extends Object
A converter from one character type to another

This class is not threadsafe

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`(package private) static class`
`OutputConverter.ResinWriter`
To get internationalised characters to work on Resin, some conversions need to take place.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`WORK_AROUND_RESIN_I18N_BUG`
Resin versions 2.1.12 and previously have encoding problems for internationalisation.

## Constructor Summary

Constructors
Constructor
Description
`OutputConverter()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`convert(String inputString)`
`static Writer`
`getWriter(Writer out)`
`private static void`
`resinConvert(String inputString, Writer writer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### WORK_AROUND_RESIN_I18N_BUG

public static final String WORK_AROUND_RESIN_I18N_BUG
Resin versions 2.1.12 and previously have encoding problems for internationalisation.

This is fixed in Resin 2.1.13. Once 2.1.13 is used more widely, this parameter (and class) can be removed.

See Also:
  - Constant Field Values

## Constructor Details

### OutputConverter

public OutputConverter()

## Method Details

### getWriter

public static Writer getWriter(Writer out)

### convert

public static String convert(String inputString)

### resinConvert

private static void resinConvert(String inputString, Writer writer) throws IOException

Throws:
  `IOException`